/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.js.loader.modules.extender.npm;

import java.util.Collection;

/**
 * @author Iván Zaera Avellón
 */
public interface NPMRegistry {

	public JSModule getJSModule(String identifier);

	public JSPackage getJSPackage(String identifier);

	public Collection<JSPackage> getJSPackages();

	public JSModule getResolvedJSModule(String identifier);

	public Collection<JSModule> getResolvedJSModules();

	public Collection<JSPackage> getResolvedJSPackages();

	public JSPackage resolveJSPackageDependency(
		JSPackageDependency jsPackageDependency);

}